FROM ngsxfem/ngsxfem@sha256:79947fe7124ef09ca0ac2964022780c454ac3d96ae610277ba4c6615609a17ce

ARG NB_USER=jovyan
ARG NB_UID=1000
ENV USER ${NB_USER}
ENV NB_UID ${NB_UID}
ENV HOME /home/${NB_USER}

COPY . ${HOME}

USER root
RUN chown -R ${NB_UID} ${HOME}

RUN pip install jupyter_contrib_nbextensions
RUN pip install jupyter_nbextensions_configurator
RUN pip install RISE
RUN pip install ipywidgets
RUN pip install voila

USER ${NB_USER}
        
WORKDIR /home/${NB_USER}   

RUN jupyter contrib nbextension install --user
RUN jupyter nbextensions_configurator enable --user
RUN jupyter nbextension enable codefolding/main
RUN jupyter nbextension enable scratchpad/main
RUN jupyter nbextension enable toc2/main
# RUN jupyter nbextension enable varInspector/main
RUN jupyter nbextension enable hide_header/main
RUN jupyter nbextension enable --py widgetsnbextension
RUN jupyter nbextension install --py voila
RUN jupyter nbextension enable --py voila